# Method: projects.locations.investigations.list

- [HTTP request](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.ListInvestigationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations/list#body.aspect_1)

Lists Investigations in a given project and location.

### HTTP request

`GET https://geminicloudassist.googleapis.com/v1alpha/{parent=projects/*/locations/*}/investigations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent to return Investigations for. Within the parent, the location must be set to "global". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested number of items to return. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. A string limiting the results that are returned. |
| `orderBy` | `string` Optional. A string indicating how the returned results should be ordered. |

### Request body

The request body must be empty.

### Response body

Message for response to listing Investigations

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "investigations": [ { object (`https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations#Investigation`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `investigations[]` | ``object (`https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations#Investigation`)`` The list of Investigations |
| `nextPageToken` | `string` A token to use in subsequent requests in order to return the next set of results. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `geminicloudassist.investigations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).